summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-06-12 11:54:17 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-12 22:09:07 -0500
commitd52012a978e77e034743d5cd283aaa2e31c8cf38 (patch)
tree041c6b3339f438f24a85717b5f0df53889bb73f9
parentdc32b3a732442ee211cba793fd024b51c9567f5b (diff)
downloadslackbuilds-d52012a978e77e034743d5cd283aaa2e31c8cf38.tar.gz
slackbuilds-d52012a978e77e034743d5cd283aaa2e31c8cf38.tar.xz
office/gnumeric: Added (GNOME spreadsheet app)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--office/gnumeric/README8
-rw-r--r--office/gnumeric/doinst.sh22
-rw-r--r--office/gnumeric/gnumeric.SlackBuild108
-rw-r--r--office/gnumeric/gnumeric.info10
-rw-r--r--office/gnumeric/slack-desc19
5 files changed, 167 insertions, 0 deletions
diff --git a/office/gnumeric/README b/office/gnumeric/README
new file mode 100644
index 0000000000..98e03613fc
--- /dev/null
+++ b/office/gnumeric/README
@@ -0,0 +1,8 @@
+The Gnumeric spreadsheet is part of the GNOME desktop environment:
+a project to create a free, user friendly desktop environment.
+The goal of Gnumeric is to be the best possible spreadsheet. We are
+not attempting to clone existing applications. However, Gnumeric can
+read files saved with other spreadsheets and we offer a customizable
+feel that attempts to minimize the costs of transition.
+
+This requires goffice.
diff --git a/office/gnumeric/doinst.sh b/office/gnumeric/doinst.sh
new file mode 100644
index 0000000000..97978d94d5
--- /dev/null
+++ b/office/gnumeric/doinst.sh
@@ -0,0 +1,22 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install gnumeric-dialogs.schemas
+schema_install gnumeric-general.schemas
+schema_install gnumeric-plugins.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/gnumeric/gnumeric.SlackBuild b/office/gnumeric/gnumeric.SlackBuild
new file mode 100644
index 0000000000..7ecb3efe56
--- /dev/null
+++ b/office/gnumeric/gnumeric.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for gnumeric
+
+# Copyright 2010 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnumeric
+VERSION=${VERSION:-1.10.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Thanks to mancha for this gem :-)
+# The docs will still be missing, but at least we can build the app itself
+touch doc/C/gnumeric-C.omf.out
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-schemas-install \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BEVERAGES BUGS COPYING HACKING INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/gnumeric/gnumeric.info b/office/gnumeric/gnumeric.info
new file mode 100644
index 0000000000..0ad7fab5fe
--- /dev/null
+++ b/office/gnumeric/gnumeric.info
@@ -0,0 +1,10 @@
+PRGNAM="gnumeric"
+VERSION="1.10.5"
+HOMEPAGE="http://projects.gnome.org/gnumeric/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.10/gnumeric-1.10.5.tar.bz2"
+MD5SUM="157b0bde46435566122327696a44d4cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Erik Hanson"
diff --git a/office/gnumeric/slack-desc b/office/gnumeric/slack-desc
new file mode 100644
index 0000000000..34cde66d03
--- /dev/null
+++ b/office/gnumeric/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnumeric: Gnumeric (GNOME spreadsheet app)
+gnumeric:
+gnumeric: The Gnumeric spreadsheet is part of the GNOME desktop environment:
+gnumeric: a project to create a free, user friendly desktop environment.
+gnumeric: The goal of Gnumeric is to be the best possible spreadsheet. We are
+gnumeric: not attempting to clone existing applications. However, Gnumeric can
+gnumeric: read files saved with other spreadsheets and we offer a customizable
+gnumeric: feel that attempts to minimize the costs of transition.
+gnumeric:
+gnumeric: Homepage: http://projects.gnome.org/gnumeric/
+gnumeric: